import time
import kiss2
import ax26

k = kiss2.TCPKISS(host='localhost', port=8001)
k.start()

x = ax26.Client(k, "CLIENT_CALLSIGN-SSID")  # The client's SSID
x.connect("SERVER_CALLSIGN-SSID")  # The server's SSID

data_to_send = b'Hello server, this is client!'  # Notice that this is a byte array
start = time.time()
x.send_data(data_to_send)
print("SENT " + str(len(data_to_send)) + "BYTES IN " + str(time.time() - start) + " SECONDS")
while True:
	r = x.receive_data()  # Wait for data from server and then exit
	if r is not None:
		print(r)
		x.disconnect()
		break