import kiss2

import ax26

k = kiss2.TCPKISS(host='localhost', port=8001)
k.start()

x = ax26.Server(k, "SERVER_CALLSIGN-SSID")  # The server's SSID

class handler:
	def __init__(self, client_call):
		print(b"New connection from " + client_call)
		self.their_callsign = client_call

	def on_recv(self, data):
		print (data)
		x.send_data(self.their_callsign, b"Data received. Here is a reply!")

	def on_disconnect(self):
		print(self.their_callsign + b" disconnected")


x.serve_forever(handler)